<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_priv.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_priv.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Internal private implementation of object descriptor. </p>

<p><a href="tivx__obj__desc__priv_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__cmd__t.html">tivx_obj_desc_cmd_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command object descriptor.  <a href="structtivx__obj__desc__cmd__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">union &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html">tivx_obj_desc_shm_entry_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Object Descriptor Shared memory entry which can hold any of the supported object descriptor types.  <a href="uniontivx__obj__desc__shm__entry__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__table__info__t.html">tivx_obj_desc_table_info_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Data structure to hold info about object descriptor table.  <a href="structtivx__obj__desc__table__info__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__cfg.html#ga7a93c4925d91236020efc68447b23108">TIVX_CMD_MAX_OBJ_DESCS</a>&nbsp;&nbsp;&nbsp;(16u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max object descriptors than be parameters in a command object.  <a href="group__group__tivx__obj__desc__cfg.html#ga7a93c4925d91236020efc68447b23108"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__priv.html#ga0e5252d445f658c22676ab8f86c32dbe">TIVX_CMD_FLAG_SEND_ACK</a>&nbsp;&nbsp;&nbsp;(0x00000001u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to indicate if command receiver needs to ACK this command.  <a href="group__group__tivx__obj__desc__priv.html#ga0e5252d445f658c22676ab8f86c32dbe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__priv.html#ga778ff616ae76e7139f1d5b3b83312754">TIVX_CMD_FLAG_IS_ACK</a>&nbsp;&nbsp;&nbsp;(0x00000002u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Flag to indicate if this is a command or ACK for a command.  <a href="group__group__tivx__obj__desc__priv.html#ga778ff616ae76e7139f1d5b3b83312754"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__priv.html#ga986852f6569bebf0af3bbba4c7456dfc">TIVX_OBJ_DESC_ID_SHIFT</a>&nbsp;&nbsp;&nbsp;(8u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Shift for storing Object Descriptor id in 32bit variable.  <a href="group__group__tivx__obj__desc__priv.html#ga986852f6569bebf0af3bbba4c7456dfc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__priv.html#gaa6e5cb564ae207e34e389ded7fbf1de2">TIVX_OBJ_DESC_ID_MASK</a>&nbsp;&nbsp;&nbsp;(0x0000FFFFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Mask for storing Object Descriptor id in 32bit variable.  <a href="group__group__tivx__obj__desc__priv.html#gaa6e5cb564ae207e34e389ded7fbf1de2"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__priv.html#ga473e11e04aa7dd29797f3cb1bf9b1ba3">tivxObjDescAlloc</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Allocate a Object descriptor.  <a href="group__group__tivx__obj__desc__priv.html#ga473e11e04aa7dd29797f3cb1bf9b1ba3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__priv.html#ga422c0dd5f70c5cf5bf21e8a22344b5e0">tivxObjDescFree</a> (<a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> **obj_desc)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Free a previously allocated object descriptor.  <a href="group__group__tivx__obj__desc__priv.html#ga422c0dd5f70c5cf5bf21e8a22344b5e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__priv.html#gacbe637a2134841596d5565877d33d8b3">tivxObjDescSend</a> (uint32_t dst_target_id, uint16_t obj_desc_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sends a object descriptor to specified target.  <a href="group__group__tivx__obj__desc__priv.html#gacbe637a2134841596d5565877d33d8b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__priv.html#ga43ebdbb9272f3336019357538f5c6e8c">tivxObjDescGet</a> (uint16_t obj_desc_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get obj descriptor corresponding to the object descriptor ID.  <a href="group__group__tivx__obj__desc__priv.html#ga43ebdbb9272f3336019357538f5c6e8c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__priv.html#ga7a5db8d3c1c9582edec01558e6d38152">tivxObjDescIsValidType</a> (<a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> *obj_desc, <a class="el" href="group__group__tivx__obj__desc.html#ga4858f5eeb4edfc862b9b8b2039ed8109">tivx_obj_desc_type_e</a> type)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Checks if object desc pointer is valid and it is of required type.  <a href="group__group__tivx__obj__desc__priv.html#ga7a5db8d3c1c9582edec01558e6d38152"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__priv.html#ga8311436304a2969b378a58395a114b2c">tivxObjDescInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Init object descriptor module.  <a href="group__group__tivx__obj__desc__priv.html#ga8311436304a2969b378a58395a114b2c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__obj__desc__priv.html#gae19ec92d7558538be397f29b891091fa">tivxReferenceGetObjDescId</a> (<a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> ref)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function to get the descriptor object from the given reference.  <a href="group__group__tivx__obj__desc__priv.html#gae19ec92d7558538be397f29b891091fa"></a><br/></td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
